<template>
  <div class="hero is-fullheight is-bold"  id="home">
      <nav-bar ></nav-bar>
  <div class="hello">
    <h1>{{ users[0].name }}</h1>
    <h2>Essential Links</h2>
    <ul>
      <li v-for="user in users">
        {{user.name}}
        </li>
    </ul>

    <h2>Ecosystem</h2>

    <span><router-link to="/task">Create Task!</router-link></span>
    <button v-on:click="logout">Logout</button>
  </div>
  </div>

</template>

<script>
  import firebase from 'firebase';
  import axios from 'axios'
  import VueAxios from 'vue-axios'
  import Vue from 'vue'
  import Navbar from './Navbar'

  export default {
    name: 'hello',
    components: {
      'nav-bar': Navbar,
    },
    data () {
      return {
        msg: 'Welcome to Your Vue.js App',
        current_user_id: firebase.auth().currentUser,
        users: '',
        navShow: true,
        scrollPosition: 0,
        scrollPos: 0
      }
    },
    methods: {
      logout: function() {
        firebase.auth().signOut().then(() => {
          this.$router.replace('login')
        })
      }
    },
    mounted () {
      this.current_user_id = firebase.auth().currentUser;
      console.log(this.current_user_id);
      axios.get('https://unitask-604a4.firebaseio.com/users.json')
        .then( res => {
          this.users = res.data;
        })
    },
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  h1, h2 {
    font-weight: normal;
  }
  ul {
    list-style-type: none;
    padding: 0;
  }
  li {
    display: inline-block;
    margin: 0 10px;
  }
  a {
    color: #42b983;
  }
</style>
